import { BigNumber } from 'ethers/utils';
import { Configuration, Timestamp } from '@energyweb/utils-general';
import { ICertificationRequest } from '@energyweb/origin-backend-core';
import { PreciseProofEntity } from './PreciseProofEntity';
export declare class CertificationRequest extends PreciseProofEntity implements ICertificationRequest {
    isPrivate: boolean;
    owner: string;
    fromTime: Timestamp;
    toTime: Timestamp;
    deviceId: string;
    approved: boolean;
    approvedDate: Date;
    revoked: boolean;
    revokedDate: Date;
    created: Timestamp;
    files: string[];
    energy: BigNumber;
    initialized: boolean;
    constructor(id: number, configuration: Configuration.Entity, isPrivate?: boolean);
    static create(fromTime: Timestamp, toTime: Timestamp, energy: BigNumber, deviceId: string, configuration: Configuration.Entity, files: string[], isVolumePrivate?: boolean, forAddress?: string): Promise<CertificationRequest>;
    sync(): Promise<CertificationRequest>;
    approve(): Promise<number>;
    revoke(): Promise<void>;
    requestMigrateToPublic(value: BigNumber): Promise<import("ethers").ContractTransaction>;
    static getAll(configuration: Configuration.Entity): Promise<CertificationRequest[]>;
}
